Skip to main content
GET
Search documents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string<uuid>
required

Tenant ID

Example:

"bc386711-9f0b-4c20-8c73-d623cf4e8f02"

status
object[]

Comma separated Document Status values

Document search string

Example:

""

documentType
string<uuid>[]

Comma separated Document Type IDs

Example:

null

oversight
object[]

Comma separated Oversight Status values

documentSharingType
object[]

Comma separated Document Sharing Type values

documentOwnerId
string<uuid>[]

Comma separated Document Owner IDs

Example:

null

sortBy
enum<string>

Criteria for sorting Documents

Available options:
documentName,
documentTypeName,
documentOwnerUsername,
documentSharingType,
documentStatus,
lastUpdatedOn,
documentDisplayId,
decisionsCount,
delegationsCount,
documentDescription,
responsibleUsername,
uploadedOn,
approvedOn,
reviewedOn,
approvalStatus,
reviewStatus,
documentUploadType,
rank
Example:

"documentName"

sortOrder
enum<string>

Order for sorting Documents

Available options:
asc,
desc
Example:

"asc"

select
string[]

Comma separated specific Document fields needed in response

Example:

""

isFavourite
string

Document isFavourite

Example:

"true"

allow document link for decision

Example:

"true"

allow document link for delegation

Example:

"true"

responsibleUserId
string<uuid>[]

Comma separated Responsible User IDs

Example:

null

reviewerUserId
string<uuid>[]

Comma separated Reviewer User IDs

Example:

null

approverUserId
string<uuid>[]

Comma separated Approver User IDs

Example:

null

documentUploadType
object

Document Upload Type/Source

createdStartDate
string

Start date time for date range filter on document created at

Example:

"2025-03-05T11:49:50.577Z"

createdEndDate
string

End date time for date range filter on document created at

Example:

"2025-03-05T11:49:50.577Z"

updatedStartDate
string

Start date time for date range filter on document updated at

Example:

"2025-03-05T11:49:50.577Z"

updatedEndDate
string

End date time for date range filter on document updated at

Example:

"2025-03-05T11:49:50.577Z"

linkedDocumentIds
string[]

Comma separated Document IDs already linked to decision/delegation (this is used to include already linked ARCHIVED documents in the list)

Example:

null

selectedTab
enum<string>

Selected tab context (not used in list API)

Available options:
active,
inactive,
favorites,
all
Example:

"active"

Response

200 - application/json

Documents list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-12T09:12:24.382Z"

message
string
required
Example:

"Success"

data
object